
Redmine - Defect #29094

Email reply looses indentation in pre-block

2018-06-21 11:55 - Daniel Trstenjak

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hi,

if I'm replying by email to an email notification from a redmine ticket

and using a pre-block - to keep the indentation - then the identation is

lost in the redmine ticket.

When viewing the ticket in the browser, then redmine seems to detect the

pre-block, because the text gets the corresponding border for a pre-block,

but the indentation from the email is missing.

If I'm replying to a ticket in the browser, then the pre-block works as expected.

I also sent the email with the pre-block to my system administator, to

ensure that my system isn't somehow removing the indentation, but my

system administator gets the email in the sent form.

Any ideas what could be the issue here or how I could debug it?

Greetings,

Daniel

Environment:

Redmine version                3.4.4.stable

Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

Rails version                  4.2.8

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.10

Darcs                          2.8.5

Cvs                            1.12.13

Bazaar                         2.7.0

Filesystem

Redmine plugins:

mega_calendar                  1.7.0

redmine_cc_addresses           0.4.0

redmine_extended_watchers      1.0.5

redmine_issue_templates        0.2.0

History

#1 - 2018-07-01 02:16 - Go MAEDA

- Category set to Email notifications

#2 - 2023-01-12 19:55 - n eeels

I am also seeing this problem.

Indentation is not only lost in pre blocks, but also anywhere else in the email text, when responding to a mail sent by redmine.

This is a problem at work, because our config file syntax depends on correct indenting. When indenting is lost, the customer gets completely

unintelligible configurations.
The workaround is to not respond by mail, but going on the web and editing the issue, which is pretty cumbersome for my workflow of quickly

responding.

I still have the mails, and the mail I sent to redmine is a plain text mail with correct indenting.

The mail received back from redmine, notifying of the activity on the issue. has lost all indenting.

I would love to see this fixed / get hints on where to look for the reasons for this.

#3 - 2023-02-07 04:11 - Go MAEDA

- Category changed from Email notifications to Email receiving
